<?PHP
/*
    Contact Form from HTML Form Guide
    This program is free software published under the
    terms of the GNU Lesser General Public License.
    See this page for more info:
    http://www.html-form-guide.com/contact-form/contact-form-attachment.html
*/
require_once("./include/fgcontactform.php");

$formproc = new FGContactForm();

//1. Add your email address here.
//You can add more than one receipients.
$formproc->AddRecipient('info@zeeshanelectronics.com'); //<<---Put your email address here


//2. For better security. Get a random tring from this link: http://tinyurl.com/randstr
// and put it here
$formproc->SetFormRandomKey('HG9hPBpn9Bn26yg');

$formproc->AddFileUploadField('photo','pdf,docx,doc,jpg,jpeg,gif,png,bmp',2024);

if(isset($_POST['submitted']))
{
   if($formproc->ProcessForm())
   {
        $formproc->RedirectToURL("thank-you.php");
   }
}

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Language" content="en-us" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="STYLESHEET" type="text/css" href="script/contact.css">

<title>Zeeshan Electronics</title>

<link rel="stylesheet" href="style321.css" type="text/css" />
<script type="text/javascript" src="script/jquery.min.js"></script>

<script type="text/javascript" src="script/animatedcollapse.js">
/***********************************************
* Animated Collapsible DIV v2.4- (c) Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Dynamic Drive at http://www.dynamicdrive.com/ for this script and 100s more
***********************************************/
</script>

<link rel="stylesheet" href="script/nivo-slider.css" type="text/css" media="screen"/>
<script src="script/jquery.nivo.slider.pack.js" type="text/javascript"></script>


<script type="text/javascript">

animatedcollapse.addDiv('s1', 'fade=0,speed=400,group=pets,hide=1')
animatedcollapse.addDiv('s2', 'fade=0,speed=400,group=pets,hide=1')
animatedcollapse.addDiv('s3', 'fade=0,speed=400,group=pets,hide=1')
animatedcollapse.addDiv('s4', 'fade=0,speed=400,group=pets,hide=1')
animatedcollapse.ontoggle=function($, divobj, state){ //fires each time a DIV is expanded/contracted
	//$: Access to jQuery
	//divobj: DOM reference to DIV being expanded/ collapsed. Use "divobj.id" to get its ID
	//state: "block" or "none", depending on state
}
animatedcollapse.init()
</script>




</head>

<body>
	<div id="wrap_body">
		<div id="top_bg">
		</div>
		<div id="logo_bar">
		<img alt="" src="images/logo2.png" width="304" height="49" class="style1" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<img alt="" src="images/greyBullet.png" class="style2" width="9" height="9" /> 
		<a href="technology_partners.php">Partners</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
		<img alt="" src="images/greyBullet.png" class="style2" width="9" height="9" />
		<a href="careers.php">Careers&nbsp;</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
		<img alt="" src="images/greyBullet.png" class="style2" width="9" height="9" /> 
		<a href="contact.php">Contact Us</a></div>
		<div id="wrap_menu">
							<?php include("wrap_menu.php"); ?>
  
		</div>
		
		<div id="wrap_banner">
		<!--Banner Area Start-->
			<div id="slider" class="nivoSlider">
			    <img src="images/careerbanner1.jpg" alt="" />

			    </div>
	    <script type="text/javascript">
$(window).load(function() {
    $('#slider').nivoSlider({
        effect: 'random', // Specify sets like: 'fold,fade,sliceDown'
        slices: 15, // For slice animations
        boxCols: 8, // For box animations
        boxRows: 4, // For box animations
        animSpeed: 500, // Slide transition speed
        pauseTime: 3000, // How long each slide will show
        directionNav: false, // Next & Prev navigation
        controlNav: false, // 1,2,3... navigation
        pauseOnHover: false, // Stop animation while hovering
        prevText: 'Prev', // Prev directionNav text
        nextText: 'Next', // Next directionNav text
        randomStart: false, // Start on a random slide
        beforeChange: function(){}, // Triggers before a slide transition
        afterChange: function(){}, // Triggers after a slide transition
        slideshowEnd: function(){}, // Triggers after all slides have been shown
        lastSlide: function(){}, // Triggers when last slide is shown
        afterLoad: function(){} // Triggers when slider has loaded
    });
});
</script>
			<!--Banner Area End-->
		</div>
		<div id="wrap_submenu">
		</div>
		<div id="wrap_content">
			<div id="wrap_content_right">
					<div id="content_right_box">
						<div id="content_right_box_text">
						<strong>&nbsp; Our Partner</strong> <br />
						<br />
						<br />
						<center>
						<a target="_blank" href="http://www.hubersuhner.com/">
						<img alt="" src="images/huberlogo.png" width="200" height="62" class="style3" />
						</a><br>
						<a href="http://www.lpkf.com/" target="_blank">
						<img alt="" src="images/lpkflaser.gif" width="150" height="54" class="style3"></a>
						<br>
						<br>
						<a href="http://www.schleuniger.com/en/index.php" target="_blank">
						<img alt="" src="images/schleuniger.jpg" width="150" height="23" class="style3"></a><br>
						<br>
						<a href="http://www.altium.com/community/legacy-program/en/pcad.cfm" target="_blank">
						<img alt="" src="images/Pcad_Logo.jpg" width="120" height="48" class="style3"></a><br>
						<br>
	<a href="http://www.weiss-gallenkamp.com/weisstechnik/" target="_blank">
	<img alt="" src="images/logo_weiss-technik.gif.956583.jpg" width="100" height="75" class="style3"></a><br>
						<br>
	<a href="http://www.lemo.com" target="_blank">
	<img alt="" src="images/logo.jpg" width="150" height="35" class="style3"></a><br>
						<br>
	<a href="http://www.konekt.com/" target="_blank">
	<img alt="" src="images/ConnectEDA_logo18.jpg" width="150" height="32" class="style3"></a><br>
						<br>
	<a href="http://www.altium.com" target="_blank">
	<img alt="" src="images/Altium%20Logo%202.jpg" width="150" height="70" class="style3"></a>
	</center>
	
	</div>

				</div>

			</div>
			<div id="wrap_content_left" class="text_normal">
				
				<span class="text_heading">Careers</span><br />
				<br />
				
				There are no current openings at Zeeshan Electronics. However you can still 
	upload your resumes for future considerations. <br>
				<br>
				<br>
				<center>



<!-- Form Code Start -->
<form id='contactus' action='<?php echo $formproc->GetSelfScript(); ?>' method='post' enctype="multipart/form-data" accept-charset='UTF-8' style="width: 300px">

<fieldset >

<input type='hidden' name='submitted' id='submitted' value='1'/>
<input type='hidden' name='<?php echo $formproc->GetFormIDInputName(); ?>' value='<?php echo $formproc->GetFormIDInputValue(); ?>'/>
<input type='text'  class='spmhidip' name='<?php echo $formproc->GetSpamTrapInputName(); ?>' />

<div><span class='error'><?php echo $formproc->GetErrorMessage(); ?></span></div>
<div class='container'>
    <label for='name' >Your Full Name*: </label><br/>
    <input type='text' name='name' id='name' value='<?php echo $formproc->SafeDisplay('name') ?>' maxlength="50" /></div>
<div class='container'>
    <label for='email' >Email Address*:</label><br/>
    <input type='text' name='email' id='email' value='<?php echo $formproc->SafeDisplay('email') ?>' maxlength="50" /></div>
<div class='container'>
    <label for='photo' >Upload your CV:</label><br/>
    <input type="file" name='photo' id='photo' /></div>


<div class='container'>
    <input type='submit' name='Submit' value='Submit' />
</div>

</fieldset>
</form>
<!-- client-side Form Validations:
Uses the excellent form validation script from JavaScript-coder.com-->

<script type='text/javascript'>
// <![CDATA[

    var frmvalidator  = new Validator("contactus");
    frmvalidator.EnableOnPageErrorDisplay();
    frmvalidator.EnableMsgsTogether();
    frmvalidator.addValidation("name","req","Please provide your name");

    frmvalidator.addValidation("email","req","Please provide your email address");

    frmvalidator.addValidation("email","email","Please provide a valid email address");

    frmvalidator.addValidation("message","maxlen=2048","The message is too long!(more than 2KB!)");

    frmvalidator.addValidation("photo","file_extn=jpg;jpeg;gif;png;bmp;doc;docx","Upload images only. Supported file types are: jpg,gif,png,bmp");
// ]]>
</script>


</center>

				
			</div>
				
		</div>
		<div id="wrap_footer">
					<?php include("wrap_footer.php"); ?>

		</div>






	</div>

</body>

</html>
